
  /section:
    get:
      summary: Get sections
      description: |
        Get product sections /popular products/
      tags:
        - Sections
      operationId: getSections
      parameters:
        - name: Accept-Language
          in: header
          description: The language code
          default: en
          type: string
        - name: limit
          in: query
          description: The section's products limit
          type: number
      produces:
        - application/json
      consumes:
        - application/json
      responses:
        '200':
          description: The sections
          schema:
            $ref: '#/definitions/Sections'

  /section/{id}:
    get:
      summary: Get products by sectionId
      description: |
        Get products by sectionId
      tags:
        - Sections
      operationId: getProductsBySectionId
      parameters:
        - name: Accept-Language
          in: header
          description: The language code
          default: en
          type: string
        - name: id
          in: path
          description: The section id
          type: string
          required: true
      produces:
        - application/json
      consumes:
        - application/json
      responses:
        '200':
          description: The section
          schema:
            $ref: '#/definitions/Section'

  definitions:
    Sections:
      type: array
      items:
        $ref: '#/definitions/Section'

    Section:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        products:
          type: array
          items:
            $ref: '#/definitions/Product'